﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace CustomLabel
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            series.DataMarker = new Syncfusion.SfChart.XForms.ChartDataMarker();
            series.DataMarker.ShowLabel = true;
            series.DataMarker.LabelContent = Syncfusion.SfChart.XForms.LabelContent.Percentage;
            DataMarkerConverter converter = new DataMarkerConverter();

			DataTemplate dataMarkerTemplate = new DataTemplate(() =>
            {
	            StackLayout stack = new StackLayout();
	            stack.Orientation = StackOrientation.Horizontal;
                stack.SetBinding(StackLayout.BackgroundColorProperty,"YValue",BindingMode.TwoWay,
                                converter);
	            Label label = new Label();
	            label.SetBinding(Label.TextProperty, "YValue");
	            label.FontSize = 15;
	            label.VerticalOptions = LayoutOptions.Center;
	
	            stack.Children.Add(label);
	            return stack;
            });
            series.DataMarker.LabelTemplate = dataMarkerTemplate;
        }
    }

    public class DataMarkerConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            double val = System.Convert.ToInt32(value);

            if (val > 85)
                return Color.White;
            else
                return Color.Blue;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value;
        }
    }
}
